
%module "debian_apt"

%include "std_string.i"

%{
#include <apt-pkg/pkgcache.h>
#include <apt-pkg/debversion.h>
%}

using namespace std;

class pkgCache
{
   public:

   static const char *CompTypeDeb(unsigned char Comp);
   static const char *CompType(unsigned char Comp);
   static const char *DepType(unsigned char Dep);

   pkgCache(MMap *Map,bool DoMap = true);
};

class debVersioningSystem : public pkgVersioningSystem
{     
   public:

   int CmpVersion(string A,string B);
   bool CheckDep(const char *PkgVer,int Op,const char *DepVer);
   string UpstreamVersion(const char *A);

   debVersioningSystem();
};

extern debVersioningSystem debVS;

